<div
  #filterField
  class="full-width filter-field m-t-10 p-8 flex-row"
  [class.__hover_pointer]="!lockedValue"
  [attr.data-test-element-id]="'grid-filter-field'"
  (click)="edit()"
>
  <div class="txt-ellipsis">
    <ng-template sqtmCoreDynamicComponent></ng-template>
  </div>
  @if (allowDelete) {
    <span
      class="m-r-10 current-workspace-main-color"
      [attr.data-test-element-id]="'inactivate'"
      style="margin-left: auto"
      (click)="inactivateFilter($event)"
    >
      <i nz-icon nzType="close-circle" nzTheme="fill"></i>
    </span>
  }
</div>
